AUDIT_REQUEST_FEATURES(3)

NAME
audit_request_features - request audit feature bitmap

SYNOPSIS
#include <libaudit.h>

int audit_request_features(int fd);

DESCRIPTION
audit_request_features() requests that the kernel send a structure describing supported audit features on fd which must be an open audit netlink socket.

RETURN VALUE
The return value is <= 0 on error, otherwise it is the netlink sequence id number. This function can have any error that sendto(2) would encounter.

SEE ALSO
audit_get_features(3), audit_open(3), auditd(8).

AUTHOR
Steve Grubb